Package org.eclipse.m2m.atl.engine.vm.nativelib

## Class ASMInteger

- java.lang.Object
- - org.eclipse.m2m.atl.engine.vm.nativelib.ASMNativeObject
  - - org.eclipse.m2m.atl.engine.vm.nativelib.ASMOclAny
    - - org.eclipse.m2m.atl.engine.vm.nativelib.ASMNumber
      - - org.eclipse.m2m.atl.engine.vm.nativelib.ASMInteger

    public class ASMInteger
    extends ASMNumber

### Field Summary

Fields
`static ASMOclType` `myType`

### Fields inherited from class org.eclipse.m2m.atl.engine.vm.nativelib.ASMNativeObject

`nativeImpl`

### Constructor Summary

Constructors
`ASMInteger​(int s)`

### Method Summary

All Methods Static Methods Instance Methods Concrete Methods
`static ASMInteger` `abs​(StackFrame frame, ASMInteger self)`
`double` `asDouble()`
`static ASMInteger` `div​(StackFrame frame, ASMInteger self, ASMInteger o)`
`boolean` `equals​(java.lang.Object o)`
`int` `getSymbol()`
`int` `hashCode()`
`static ASMInteger` `max​(StackFrame frame, ASMInteger self, ASMInteger o)`
`static ASMInteger` `min​(StackFrame frame, ASMInteger self, ASMInteger o)`
`static ASMInteger` `mod​(StackFrame frame, ASMInteger self, ASMInteger o)`
`static ASMReal` `operatorDiv​(StackFrame frame, ASMInteger self, ASMNumber o)`
`static ASMBoolean` `operatorEQ​(StackFrame frame, ASMInteger self, ASMOclAny o)`
`static ASMBoolean` `operatorGE​(StackFrame frame, ASMInteger self, ASMNumber o)`
`static ASMBoolean` `operatorGT​(StackFrame frame, ASMInteger self, ASMNumber o)`
`static ASMBoolean` `operatorLE​(StackFrame frame, ASMInteger self, ASMNumber o)`
`static ASMBoolean` `operatorLT​(StackFrame frame, ASMInteger self, ASMNumber o)`
`static ASMNumber` `operatorMinus​(StackFrame frame, ASMInteger self, ASMNumber o)`
`static ASMNumber` `operatorMul​(StackFrame frame, ASMInteger self, ASMNumber o)`
`static ASMBoolean` `operatorNE​(StackFrame frame, ASMInteger self, ASMOclAny o)`
`static ASMNumber` `operatorPlus​(StackFrame frame, ASMInteger self, ASMNumber o)`
`static ASMString` `toBinaryString​(StackFrame frame, ASMInteger self)`
`static ASMString` `toHexString​(StackFrame frame, ASMInteger self)`
`java.lang.String` `toString()`
`static ASMString` `toString​(StackFrame frame, ASMInteger self)`

### Methods inherited from class org.eclipse.m2m.atl.engine.vm.nativelib.ASMOclAny

`asBag, asSequence, asSet, check, debug, findOperation, findOperation, get, getHelper, getNamedTargetFromSource, getOclAnyType, getType, invoke, invoke, invokeSuper, isHelper, oclIsKindOf, oclIsTypeOf, oclIsUndefined, oclType, operatorEQ, operatorNE, output, refGetValue, refImmediateComposite, refImmediateComposite, refInvokeOperation, refSetValue, refUnsetValue, set, setType, toString, unset`

### Methods inherited from class org.eclipse.m2m.atl.engine.vm.nativelib.ASMNativeObject

`getNativeImpl`

### Methods inherited from class java.lang.Object

`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

### Field Detail

#### myType

    public static ASMOclType myType

### Constructor Detail

#### ASMInteger

    public ASMInteger​(int s)

### Method Detail

#### toString

    public java.lang.String toString()

Overrides:
  `toString` in class `java.lang.Object`

#### getSymbol

    public int getSymbol()

#### asDouble

    public double asDouble()

Specified by:
  `asDouble` in class `ASMNumber`

#### equals

    public boolean equals​(java.lang.Object o)

Overrides:
  `equals` in class `java.lang.Object`

#### hashCode

    public int hashCode()

Overrides:
  `hashCode` in class `java.lang.Object`

#### abs

    public static ASMInteger abs​(StackFrame frame,
                                 ASMInteger self)

#### mod

    public static ASMInteger mod​(StackFrame frame,
                                 ASMInteger self,
                                 ASMInteger o)

#### div

    public static ASMInteger div​(StackFrame frame,
                                 ASMInteger self,
                                 ASMInteger o)

#### max

    public static ASMInteger max​(StackFrame frame,
                                 ASMInteger self,
                                 ASMInteger o)

#### min

    public static ASMInteger min​(StackFrame frame,
                                 ASMInteger self,
                                 ASMInteger o)

#### operatorMinus

    public static ASMNumber operatorMinus​(StackFrame frame,
                                          ASMInteger self,
                                          ASMNumber o)

#### operatorPlus

    public static ASMNumber operatorPlus​(StackFrame frame,
                                         ASMInteger self,
                                         ASMNumber o)

#### operatorMul

    public static ASMNumber operatorMul​(StackFrame frame,
                                        ASMInteger self,
                                        ASMNumber o)

#### operatorDiv

    public static ASMReal operatorDiv​(StackFrame frame,
                                      ASMInteger self,
                                      ASMNumber o)

#### operatorEQ

    public static ASMBoolean operatorEQ​(StackFrame frame,
                                        ASMInteger self,
                                        ASMOclAny o)

#### operatorNE

    public static ASMBoolean operatorNE​(StackFrame frame,
                                        ASMInteger self,
                                        ASMOclAny o)

#### operatorLT

    public static ASMBoolean operatorLT​(StackFrame frame,
                                        ASMInteger self,
                                        ASMNumber o)

#### operatorLE

    public static ASMBoolean operatorLE​(StackFrame frame,
                                        ASMInteger self,
                                        ASMNumber o)

#### operatorGT

    public static ASMBoolean operatorGT​(StackFrame frame,
                                        ASMInteger self,
                                        ASMNumber o)

#### operatorGE

    public static ASMBoolean operatorGE​(StackFrame frame,
                                        ASMInteger self,
                                        ASMNumber o)

#### toString

    public static ASMString toString​(StackFrame frame,
                                     ASMInteger self)

#### toHexString

    public static ASMString toHexString​(StackFrame frame,
                                        ASMInteger self)

#### toBinaryString

    public static ASMString toBinaryString​(StackFrame frame,
                                           ASMInteger self)